aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--debian/ayatana-indicator-messages.postinst40
-rw-r--r--debian/control1
2 files changed, 41 insertions, 0 deletions
diff --git a/debian/ayatana-indicator-messages.postinst b/debian/ayatana-indicator-messages.postinst
new file mode 100644
index 0000000..bdf5b42
--- /dev/null
+++ b/debian/ayatana-indicator-messages.postinst
@@ -0,0 +1,40 @@
+#!/bin/sh
+# postinst script for ayatana-indicator-systemtray
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ glib-compile-schemas /usr/share/glib-2.0/schemas
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/control b/debian/control
index e163850..8384e33 100644
--- a/debian/control
+++ b/debian/control
@@ -23,6 +23,7 @@ Package: ayatana-indicator-messages
Architecture: any
Depends: ${shlibs:Depends},
${misc:Depends},
+ glib2.0-bin,
Recommends: indicator-applet | indicator-renderer | mate-applet-indicator
Description: Ayatana Indicator that collects messages that need a response
A place on the user's desktop that collects messages that need a response.